cassandra-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Sreeraju.V (JIRA)" <j...@apache.org>
Subject [jira] [Created] (CASSANDRA-12157) Cassandra solr_query not working after upgrading to DSE 5
Date Mon, 11 Jul 2016 06:52:11 GMT
Sreeraju.V created CASSANDRA-12157:
--------------------------------------

             Summary: Cassandra solr_query not working after upgrading to DSE 5
                 Key: CASSANDRA-12157
                 URL: https://issues.apache.org/jira/browse/CASSANDRA-12157
             Project: Cassandra
          Issue Type: Bug
          Components: Configuration
            Reporter: Sreeraju.V


After upgrading to DSE 5 solr_query is not working. Below is the new DSE, cqlsh and Cassandra
versions.

    [cqlsh 5.0.1 | Cassandra 3.0.7.1158 | DSE 5.0.0 | CQL spec 3.4.0 | Native protocol v4]

I am connecting using PHP Driver. The exception catching is

    Must not send frame with CUSTOM_PAYLOAD flag for native protocol version < 4

and the

    error code is 33554442

When I run the same query on cqlsh it is working but not through the Php-driver.

$countSearchParam = '{"q":"'.$searchParam.'" }';
try{
$countStatement = $this->session->prepare(
                "SELECT count(*) FROM table WHERE solr_query = ? ");
                $countresults = $this->session->execute($countStatement, new Cassandra\ExecutionOptions(array(
                'arguments' => array($countSearchParam)
                )));

                foreach ($countresults as $row) {
                    $cntArr = get_object_vars($row['count']);
                    $totCount = $cntArr['value'];                
                }
}catch(Exception $e){




--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message